%global pipewire_version 0.2.90
%global geoclue_version 2.5.2
%global glib_version 2.69.1
%global low_memory_monitor_version 2.0

Name:          xdg-desktop-portal
Version:       1.18.2
Release:       1
Summary:       Portal frontend service to flatpak
License:       LGPLv2+
URL:           https://github.com/flatpak/xdg-desktop-portal/
Source0:       https://github.com/flatpak/xdg-desktop-portal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: gettext
BuildRequires: meson
BuildRequires: systemd
BuildRequires: pkgconfig(flatpak)
BuildRequires: pkgconfig(fuse3)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= %{glib_version}
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libgeoclue-2.0) >= %{geoclue_version}
BuildRequires: pkgconfig(libpipewire-0.3) >= %{pipewire_version}
BuildRequires: pkgconfig(libportal)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: python3-dbusmock
BuildRequires: python3-pytest
BuildRequires: /usr/bin/xmlto
BuildRequires: python3-docutils 

Requires:      dbus
Requires:      geoclue2 >= %{geoclue_version}
Requires:      glib2 >= %{glib_version}
Recommends:    pipewire >= %{pipewire_version}
Requires:      pipewire-libs >= %{pipewire_version}
# Required for the document portal.
Requires:      /usr/bin/fusermount
# Required for the GMemoryMonitor GIO API
Requires:      low-memory-monitor >= %{low_memory_monitor_version}

%description
xdg-desktop-portal works by exposing a series of D-Bus interfaces known as
portals under a well-known name (org.freedesktop.portal.Desktop) and object
path (/org/freedesktop/portal/desktop). The portal interfaces include APIs for
file access, opening URIs, printing and others.

%package  devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The pkg-config file for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
install -dm 755 %{buildroot}/%{_pkgdocdir}
install -pm 644 README.md %{buildroot}/%{_pkgdocdir}
install -dm 755 %{buildroot}/%{_datadir}/%{name}/portals

%find_lang %{name}

%post
%systemd_user_post %{name}.service
%systemd_user_post xdg-document-portal.service
%systemd_user_post xdg-permission-store.service
%systemd_user_post xdg-desktop-portal-rewrite-launchers.service

%preun
%systemd_user_preun %{name}.service
%systemd_user_preun xdg-document-portal.service
%systemd_user_preun xdg-permission-store.service
%systemd_user_preun xdg-desktop-portal-rewrite-launchers.service

%files -f %{name}.lang
%doc %{_pkgdocdir}
%license COPYING
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.impl.portal.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.portal.Desktop.service
%{_datadir}/dbus-1/services/org.freedesktop.portal.Documents.service
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.PermissionStore.service
%{_datadir}/%{name}
%{_datadir}/man/man5/portals.conf.5.gz
%{_libexecdir}/xdg-desktop-portal
%{_libexecdir}/xdg-document-portal
%{_libexecdir}/xdg-permission-store
%{_libexecdir}/xdg-desktop-portal-rewrite-launchers
%{_libexecdir}/xdg-desktop-portal-validate-icon
%{_userunitdir}/%{name}.service
%{_userunitdir}/xdg-document-portal.service
%{_userunitdir}/xdg-permission-store.service
%{_userunitdir}/xdg-desktop-portal-rewrite-launchers.service

%files devel
%{_datadir}/pkgconfig/xdg-desktop-portal.pc

%changelog
* Wed Dec 20 2023 zhangkea <zhangkea@uniontech.com> - 1.18.2-1
- Update to 1.18.2

* Tue Sep 05 2023 wulei <wu_lei@hoperun.com> - 1.17.0-1
- Update to 1.17.0

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.16.0-1
- update to 1.16.0

* Mon Dec 13 2021 liweigang <liweiganga@uniontech.com> - 1.7.2-2
- delete %dist

* Fri Jun 04 2021 Wenlong Ding <wenlong.ding@turbolinux.com> - 1.7.2-1
- Update to 1.7.2

* Thu Dec 05 2019 zhouyihang <zhouyihang1@huawei.com> - 1.0.2-2
- Package init
